pappso::FilterOboPsiModTermAccession Class Reference

`#include <filterobopsimodtermaccession.h>`

Inheritance diagram for pappso::FilterOboPsiModTermAccession:

## Public Member Functions

| FilterOboPsiModTermAccession (OboPsiModHandlerInterface &sink, const QString &accession)
virtual | ~FilterOboPsiModTermAccession ()
void | setOboPsiModTerm (const OboPsiModTerm &term) override
| triggered function on each obo term when parsing obo file More...

## Private Attributes

QString | m_accession
OboPsiModHandlerInterface & | m_sink

## Detailed Description

Definition at line 34 of file filterobopsimodtermaccession.h.

## Constructor & Destructor Documentation

## FilterOboPsiModTermAccession()

pappso::FilterOboPsiModTermAccession::FilterOboPsiModTermAccession | ( | OboPsiModHandlerInterface & | sink,
|  | const QString & | accession
| ) |  |

Definition at line 30 of file filterobopsimodtermaccession.cpp.

: m_sink(sink)
{
m_accession = accession;
}
pappso::FilterOboPsiModTermAccession::m_sink
OboPsiModHandlerInterface & m_sink
Definition: filterobopsimodtermaccession.h:39
pappso::FilterOboPsiModTermAccession::m_accession
QString m_accession
Definition: filterobopsimodtermaccession.h:38

References m_accession.

## ~FilterOboPsiModTermAccession()

pappso::FilterOboPsiModTermAccession::~FilterOboPsiModTermAccession | ( |  | ) |

virtual

Definition at line 37 of file filterobopsimodtermaccession.cpp.

{
}

## Member Function Documentation

## setOboPsiModTerm()

void pappso::FilterOboPsiModTermAccession::setOboPsiModTerm | ( | const OboPsiModTerm & | term | ) |

override virtual

triggered function on each obo term when parsing obo file

Implements pappso::OboPsiModHandlerInterface.

Definition at line 42 of file filterobopsimodtermaccession.cpp.

{
// qDebug() << "FilterOboPsiModTermAccession::setOboPsiModTerm term._accession
// " << term._accession << " == _accession " << _accession;
if(term.m_accession == m_accession)
{
m_sink.setOboPsiModTerm(term);
}
}
pappso::OboPsiModHandlerInterface::setOboPsiModTerm
virtual void setOboPsiModTerm(const OboPsiModTerm &term)=0
triggered function on each obo term when parsing obo file

References m_accession, pappso::OboPsiModTerm::m_accession, m_sink, and pappso::OboPsiModHandlerInterface::setOboPsiModTerm().

## Member Data Documentation

## m_accession

QString pappso::FilterOboPsiModTermAccession::m_accession

private

Definition at line 38 of file filterobopsimodtermaccession.h.

Referenced by FilterOboPsiModTermAccession(), and setOboPsiModTerm().

## m_sink

OboPsiModHandlerInterface& pappso::FilterOboPsiModTermAccession::m_sink

private

Definition at line 39 of file filterobopsimodtermaccession.h.

Referenced by setOboPsiModTerm().

The documentation for this class was generated from the following files:

- pappsomspp/obo/filterobopsimodtermaccession.h
- pappsomspp/obo/filterobopsimodtermaccession.cpp